%define name zsnes
%define version 1.51
%define release %mkrel 4
%define fversion %(echo %version|sed s/\\\\\.//)
%define dversion %(echo %version|sed s/\\\\\./_/)

Summary: Nintendo Super NES / Super Famicom Emulator
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/zsnes/%{name}%{fversion}src.tar.bz2
Source1: %{name}-icons.tar.bz2
Patch0: zsnes150-desktop.patch
Patch1: zsnes-1.51-libao.patch
License: GPL
Group: Emulators
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://zsnes.sourceforge.net
BuildRequires: nasm
BuildRequires: libpng-devel
BuildRequires: libSDL-devel >= 1.2 
BuildRequires: libmesagl-devel
BuildRequires: libncurses-devel
BuildRequires: libao-devel
Epoch: 1

%description
This is an emulator for Nintendo's 16 bit console, called Super Nintendo 
Entertainment System or Super Famicom. It features a pretty accurate emulation
of that system's graphic and sound capabilities.
The GUI enables the user to select games, change options, enable cheat codes 
and to save the game state, even network play is possible.


%prep

%setup -q -n %{name}_%dversion
%patch0 -p1
%patch1 -p1
cd src
./autogen.sh

%build
cd src
# zsnes do not work with fortify patch, and i frankly do not want to mess with the mix of asm and C source code
# (misc)
export CFLAGS="-O2 -g -pipe -fexceptions -fomit-frame-pointer -fasynchronous-unwind-tables"
%configure --x-includes=/usr/X11R6/include --enable-libao --disable-cpucheck force_arch=i586 
make

%install
rm -rf %buildroot
mkdir -p %buildroot%{_bindir}
install -c -m 0755 src/zsnes %buildroot%{_bindir}

mkdir -p %buildroot%{_mandir}/man1/
install -c -m 0644 src/linux/zsnes.1 %buildroot%{_mandir}/man1

install -m 644 -D src/linux/zsnes.desktop %buildroot%_datadir/applications/zsnes.desktop

# install icons
install -m 755 -d %buildroot{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
tar xOjf %SOURCE1 %{name}-16x16.png > %buildroot%{_miconsdir}/%{name}.png
tar xOjf %SOURCE1 %{name}-32x32.png > %buildroot%{_iconsdir}/%{name}.png
tar xOjf %SOURCE1 %{name}-48x48.png > %buildroot%{_liconsdir}/%{name}.png

%clean
rm -rf %buildroot

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc docs/*
%{_bindir}/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{name}.desktop




%changelog
* Wed Mar 12 2008 Guillaume Bedot <littletux@mandriva.org> 1:1.51-4mdv2008.0
+ Revision: 187139
- removed optimizations
- fix libao output (patch1)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jun 01 2007 Michael Scherer <misc@mandriva.org> 1:1.51-3mdv2008.0
+ Revision: 33533
- use libao output, as suggested by brancaleone


* Sun Feb 11 2007 Michael Scherer <misc@mandriva.org> 1.51-2mdv2007.0
+ Revision: 118827
- use option to make it work on other arch than p4 ( ie do not optimize for cluster )

* Thu Jan 25 2007 Götz Waschk <waschk@mandriva.org> 1:1.51-1mdv2007.1
+ Revision: 113082
- new version

* Tue Dec 26 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.50-3mdv2007.1
+ Revision: 102078
- Remove old debian menu style

* Sat Dec 23 2006 Michael Scherer <misc@mandriva.org> 1:1.50-2mdv2007.1
+ Revision: 101952
- fix build on x86_64, with previous changes
- rebuild, to fix bug #23844 ( zsnes not working )
- do not use FORTIFY, zsnes segfault quite immediatly

* Sat Dec 23 2006 Götz Waschk <waschk@mandriva.org> 1:1.50-1mdv2007.1
+ Revision: 101900
- fix buildrequires
- build on x86_64 as well
- add menu entry
- Import zsnes

* Sat Dec 23 2006 Gtz Waschk <waschk@mandriva.org> 1.50-1mdv2007.1
- new version

* Tue Apr 11 2006 Michael Scherer <misc@mandriva.org> 1:1.42-2mdk
- Rebuild
- use mkrel

* Thu Jan 20 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.42-1mdk
- new version

* Mon Dec 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.40-1mdk
- spec fixes
- New release 1.40

* Sun Jun 06 2004 Michael Scherer <misc@mandrake.org> 1.36-4mdk 
- rebuild
- change menu

